Pacman -Syu fails with "invalid or corrupted package (PGP signature)"

31 Jan

I just ran into the following problem while trying to upgrade my archlinux netbook:

error: confuse: signature from "Thorsten Töpper ...." is unknown trust
:: File /var/cache/pacman/pkg/confuse-2.8-2-i686.pkg.tar.xz is corrupted (invalid or corrupted p...

Continue...